<?php
namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\FuncionarioService;

class FuncionarioController extends FMCrud{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $FuncionarioService;
   
    public function __construct($crudService, $environment, FuncionarioService $FuncionarioService) {
        parent::__construct($crudService, $environment);
        $this->FuncionarioService = $FuncionarioService;
    }

    public function getEmployee(DTO\Request $request, DTO\Response $response){
        $var = $this->FuncionarioService->getEmployee();
        $dtsVal = new DataSet("employee",$var);
        $response->addDataSet($dtsVal);
    }
}

?>