<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\TaskTypesService;

class TaskTypesController extends FMCrud{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $TaskTypesService;
   
    public function __construct($crudService, $environment, TaskTypesService $TaskTypesService) {
        parent::__construct($crudService, $environment);
        $this->TaskTypesService = $TaskTypesService;
    }

    public function listTaskTypes(DTO\Request $request, DTO\Response $response){
        $var = $this->TaskTypesService->listTaskTypes();
        $dtsVal = new DataSet('taskTypes', $var);
        $response->addDataSet($dtsVal);
    }
}

?>